function timer:checkpoints

execute if score 0 timer_start = 1 timer_start run function timer:run
execute if score 0 display_start = 1 display_start run function timer:display_run
execute as @a at @s if entity @s[scores={timer_tick=20}] run function timer:tick
execute as @a at @s if entity @s[scores={timer_seconds=60}] run function timer:seconds
execute as @a at @s if entity @s[scores={timer_minutes=60}] run function timer:minutes
execute as @a[tag=finish] unless entity @s[scores={finish=1}] run function timer:finish

scoreboard players enable @a restart
scoreboard players enable @a respawn
execute as @a[gamemode=adventure] unless entity @s[nbt={ActiveEffects:[{Id:20b}]}] run effect give @s minecraft:saturation 3 1 true

gamemode adventure @a[tag=!build]
execute as @a[gamemode=adventure] at @s if block ~ ~-0.1 ~ barrier run kill @s

execute as @a[gamemode=adventure] at @s unless entity @s[nbt={ActiveEffects:[{Id:20b}]}] if block ~ ~0.2 ~ lava run effect give @s minecraft:wither 1 1 true
execute as @a[gamemode=adventure] at @s store result score @s inlava run data get entity @s Fire
execute as @a[gamemode=adventure] at @s if score @s inlava matches -19..299 run effect give @s minecraft:fire_resistance 1 1 true

execute as @a[tag=waterallergy,gamemode=adventure] at @s if block ~ ~0.2 ~ water run kill @s

execute as @a[tag=elytra37,gamemode=adventure] at @s unless entity @s[x=-5,y=158,z=47,dx=18,dy=6,dz=4] unless block ~ ~-0.0001 ~ #timer:elytra37 run kill @s

execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:18b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:19b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:20b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:21b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:22b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:23b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:24b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:25b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:stick",Slot:26b}]}] run scoreboard players set @s restart 1
execute as @a if entity @s[scores={restart=1}] run function timer:restart

execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:18b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:19b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:20b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:21b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:22b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:23b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:24b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:25b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[gamemode=adventure,nbt={Inventory:[{id:"minecraft:redstone",Slot:26b}]}] run scoreboard players set @s respawn 1
execute as @a if entity @s[scores={respawn=1}] run function timer:respawn

kill @e[type=item,tag=!elytra,nbt={Item:{id:"minecraft:elytra",Count:1b}}]
function timer:head